
:root {
	/* responsive margins / paddings */
	--margin-sm: 16px;
	--margin-md: 32px;
}

* {
	--min-screen-size: 430;
	--max-screen-size: 1387;
	--interpolate-diff: calc(var(--max-font-size) - var(--min-font-size));
	--interpolate: clamp(calc(var(--min-font-size) * 1px), calc((var(--min-font-size) * 1px) + var(--interpolate-diff) * ((100vw - calc(var(--min-screen-size) * 1px)) / (var(--max-screen-size) - var(--min-screen-size)))), calc(var(--max-font-size) * 1px));
}

html {
	height: 100%;
	font-size: 16px;
}



/* text utility classes */

.subtitle-light {
	color: #f0f6ff;
	font-size: 36px;
	font-family: 'Outfit';
	font-weight: 900;
	line-height: 1.25;
	letter-spacing: 0px;
}

.text-blue1 {
	color: #475569;
	font-size: 12px;
	font-weight: 400;
	line-height: 1.333;
}

.text-blue2 {
	color: #64748b;
	font-size: 16px;
	font-family: 'Inter';
	font-weight: 400;
	line-height: 1.625;
	letter-spacing: 0px;
}

.sub-text {
	color: #00e87c;
}



/* section utility classes */

.section {
	display: flex;
	flex-direction: column;
	align-items: center;
	padding: 80px 24px;
}



/* ui objects utility classes */

.circle {
	padding: 2px;
	border: 2px solid #00e87c;
	border-radius: 50%;
}

.card2 {
	padding: 10px;
	border-radius: 12px;
}



/* button hover utility classes */

.hover-bright:hover {
	filter: brightness(1.2);
}
